org.apache.solr.client.solrj.io.stream.expr

## Class StreamExpressionParser

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.StreamExpressionParser

    public class StreamExpressionParser
    extends Object

Takes a prefix notation expression and returns a tokenized expression

### Constructor Summary

Constructors
Constructor and Description
`StreamExpressionParser()`

### Method Summary

Methods
`static StreamExpression` `parse(String clause)`
`static boolean` `wordToken(String token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamExpressionParser

    public StreamExpressionParser()

### Method Detail

#### parse

    public static StreamExpression parse(String clause)

#### wordToken

    public static boolean wordToken(String token)